# Dynamic_Adapter.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/CORBA_macros.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for Dynamic_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

class | TAO_Dynamic_Adapter
| TAO_Dynamic_Adapter. More...

## Typedefs

typedef NVList * | NVList_ptr
typedef NamedValue * | NamedValue_ptr
typedef ExceptionList * | ExceptionList_ptr
typedef Request * | Request_ptr
typedef Context * | Context_ptr
typedef ServerRequest * | ServerRequest_ptr
typedef ULong | Flags

## Detailed Description

Id
  Dynamic_Adapter.h,v 1.17 2005/11/02 07:13:02 ossama Exp

Author:
  Jeff Parsons <parsons@cs.wustl.edu>

## Typedef Documentation

typedef Context * CORBA::Context_ptr

typedef ExceptionList * CORBA::ExceptionList_ptr

typedef CORBA::ULong CORBA::Flags

typedef NamedValue * CORBA::NamedValue_ptr

typedef NVList * CORBA::NVList_ptr

typedef Request * CORBA::Request_ptr

typedef ServerRequest* CORBA::ServerRequest_ptr